# Recettes

Ce repository contient le code source des différents livres de recettes
et du blog des recettes.

Le site est généré et publié automatiquement lorsque les Merge Requests sont acceptées
et les modifications intégrées sur la branche `master`.

## URLs utiles

## Installation
1. `curl -SsL https://github.com/gohugoio/hugo/releases/download/v0.63.2/hugo_0.63.2_Linux-64bit.tar.gz | tar zxvf - hugo`
2. `./hugo serve`

## Ajouter des recettes

1. `git checkout master` pour s'assurer d'être sur la branche principale.
2. `git pull` pour s'assurer d'avoir la dernière version.
3. `git checkout -b nouvelles-recettes` pour créer une nouvelle branche *nouvelles-recettes*.
    Adapter le nom en fonction des recettes
4. Taper une recette
5. `git add ma/recette/truc.md`
6. `git commit`
7. Reprendre à 4 pour chaque recette
8. `git push` pour envoyer sur le serveur
9. Suivre le lien donné pour créer une Merge Request avec les nouvelles
    recettes.

## Technologies
* Le site est généré statiquement avec [Hugo](https://gohugo.io)
* Les fichiers générés sont déployés automatiquement dans un bucket Amazon S3
* Le site web est distribué par Amazon CloudFront
